#include "module.h"

#define AUTHOR "UNKNOWN"
#define VERSION "1.337"

int m_disableservices(User *u);
int m_confirm(User *u);
int mytest = 17593;

void AnopeInit(void) {
	Command *c, *c2;
	c  = createCommand("disableservices",m_disableservices,is_services_admin,-1,-1,-1,-1,-1);
	c2 = createCommand("confirm-disabling",m_confirm,is_services_admin,-1,-1,-1,-1,-1);
	alog("Loading module ircd_disableservices.so [Status: %d]",moduleAddCommand(OPERSERV,c,MOD_HEAD));
	moduleAddCommand(OPERSERV,c2,MOD_HEAD);
	alog("New command: /msg operserv disableservices");
}

void AnopeFini(void) {
	alog("Unloading ircd_disableservices.so");
}

int m_disableservices(User *u) {
	notice(s_OperServ, u->nick, "Please type /os confirm-disabling %d", mytest);
    return MOD_CONT;
}

int m_confirm(User *u) {
	int mytest2;
	char *param = strtok(NULL, "");
	if (param == NULL) {
		notice(s_OperServ, u->nick, "Wrong syntax");
		return MOD_CONT;
	}
	mytest2 = atoi(param);
	if (mytest2 == mytest) {
		alog("%s used /os disableservices to disable the services", u->nick);
		quitting = 1;
	} else {
		notice(s_OperServ, u->nick, "Wrong number");
	}
    return MOD_CONT;
}

